Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.report
Class JUnitReport

    java.lang.Object
      com.eviware.soapui.report.JUnitReport

    public class JUnitReport

extends java.lang.Object

Wrapper for a number of Test runs

Constructor Summary
`JUnitReport()`

Method Summary
`com.eviware.soapui.junit.Testcase` | `addTestCase(java.lang.String name, double time)`
`com.eviware.soapui.junit.Testcase` | `addTestCaseWithError(java.lang.String name, double time, java.lang.String error, java.lang.String stacktrace)`
`com.eviware.soapui.junit.Testcase` | `addTestCaseWithFailure(java.lang.String name, double time, java.lang.String failure, java.lang.String stacktrace)`
`com.eviware.soapui.junit.TestsuiteDocument` | `finishReport()`
`void` | `save(java.io.File file)`
`void` | `setNoofErrorsInTestSuite(int errors)`
`void` | `setNoofFailuresInTestSuite(int failures)`
`void` | `setSystemErr(java.lang.String systemerr)`
`void` | `setSystemOut(java.lang.String systemout)`
`void` | `setTestSuiteName(java.lang.String name)`
`void` | `setTotalTime(double time)`
`void` | `systemErr(java.lang.String systemerr)`
`void` | `systemOut(java.lang.String systemout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitReport

    public JUnitReport()

Method Detail

### setTotalTime

    public void setTotalTime(double time)

### setTestSuiteName

    public void setTestSuiteName(java.lang.String name)

### setNoofErrorsInTestSuite

    public void setNoofErrorsInTestSuite(int errors)

### setNoofFailuresInTestSuite

    public void setNoofFailuresInTestSuite(int failures)

### systemOut

    public void systemOut(java.lang.String systemout)

### systemErr

    public void systemErr(java.lang.String systemerr)

### setSystemOut

    public void setSystemOut(java.lang.String systemout)

### setSystemErr

    public void setSystemErr(java.lang.String systemerr)

### addTestCase

    public com.eviware.soapui.junit.Testcase addTestCase(java.lang.String name,
                                                         double time)

### addTestCaseWithFailure

    public com.eviware.soapui.junit.Testcase addTestCaseWithFailure(java.lang.String name,
                                                                    double time,
                                                                    java.lang.String failure,
                                                                    java.lang.String stacktrace)

### addTestCaseWithError

    public com.eviware.soapui.junit.Testcase addTestCaseWithError(java.lang.String name,
                                                                  double time,
                                                                  java.lang.String error,
                                                                  java.lang.String stacktrace)

### save

    public void save(java.io.File file)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### finishReport

    public com.eviware.soapui.junit.TestsuiteDocument finishReport()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.